package com.deer.wms.produce.manage.model;

/**
 * @Author: hy
 * @Date: 2019/10/22 22:18
 * @Version 1.0
 *
 * 用于生产加工页面列表展示
 */
public class ProductProcessVo extends ProductProcess {

    private String productName;//产品名称，关联产品表

    private Boolean isFinish = false;//是否已完成

    private Integer countProcess;//工序总数

    private Integer finishedProcess;//已完成工序数

    private Float schedule;//进度，计算所得

    private String productProcessName;//产品Bom名称

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Boolean getFinish() {
        return isFinish;
    }

    public void setFinish(Boolean finish) {
        isFinish = finish;
    }

    public Float getSchedule() {
        return schedule;
    }

    public void setSchedule(Float schedule) {
        this.schedule = schedule;
    }

    public String getProductProcessName() {
        return productProcessName;
    }

    public void setProductProcessName(String productProcessName) {
        this.productProcessName = productProcessName;
    }

    public Integer getCountProcess() {
        return countProcess;
    }

    public void setCountProcess(Integer countProcess) {
        this.countProcess = countProcess;
    }

    public Integer getFinishedProcess() {
        return finishedProcess;
    }

    public void setFinishedProcess(Integer finishedProcess) {
        this.finishedProcess = finishedProcess;
    }
}
